SPI\_palloc

|      SPI\_palloc      |                     |                       |                  |                         |
|:---------------------:|---------------------|-----------------------|------------------|-------------------------|
|[Prev](spi-memory.html)|[Up](spi-memory.html)|47.3. Memory Management|[Home](index.html)| [Next](spi-realloc.html)|

---

[]()

## SPI\_palloc

SPI\_palloc — allocate memory in the upper executor context

## Synopsis

```
void * SPI_palloc(Size size)

```

## Description

`SPI_palloc` allocates memory in the upper executor context.

 This function can only be used while connected to SPI. Otherwise, it throws an error.

## Arguments

`Size *`size`*`

 size in bytes of storage to allocate

## Return Value

 pointer to new storage space of the specified size

---

|[Prev](spi-memory.html)|[Up](spi-memory.html)| [Next](spi-realloc.html)|
|:----------------------|:-------------------:|------------------------:|
|47.3. Memory Management| [Home](index.html)  |      SPI\_repalloc      |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>